import Model, { attr, belongsTo} from '@ember-data/model';

export default class ModuleModel extends Model {
    @attr code;
    @attr name;
    @attr semester;

    @belongsTo('user') teacher;

    get actions() {
        return {
            delete: {
                icon: 'mdi mdi-delete warning',
                title: 'Delete',
                action: 'delete'
            }
        }
    }
}